# Get card modes Get card mode objects. A card can have both a credit and debit *mode*, meaning it can be used as both a credit or debit card. Each mode is associated with a credit or debit program and account. For more information, refer to the [mode documentation](doc:cards-overview-1#create-a-combination-card-with-card-modes) in the Cards overview guide. NOTE: This endpoint requires an account-specific access token - a token encoded with a Pismo account ID. # OpenAPI definition ```json { "openapi": "3.0.1", "info": { "title": "Card issuing - Cards", "version": "1.4.6", "description": "Card endpoints API", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io", "description": "Sandbox API server for testing." }, { "url": "https://gw-pci.pismolabs.io", "description": "Sandbox PCI API server for testing" } ], "security": [ { "BearerAuth": [] } ], "tags": [ { "name": "Modes", "description": "Card mode endpoints" } ], "components": { "parameters": { "cardId": { "in": "path", "name": "cardId", "schema": { "type": "string" }, "description": "Pismo card ID", "required": true } }, "schemas": { "GetCardModeResponse": { "type": "array", "description": "Get information about a card's modes (credit or debit)", "items": { "type": "object", "properties": { "id": { "type": "integer", "example": 128876, "description": "Mode ID" }, "mode": { "type": "string", "description": "Card mode enum - `DEBIT` or `CREDIT`", "example": "CREDIT", "enum": [ "DEBIT", "CREDIT" ] }, "program_id": { "type": "integer", "description": "First program ID", "example": 88490 }, "customer_id": { "type": "integer", "description": "Credit customer ID", "example": 102377856 }, "account_id": { "type": "integer", "description": "Credit account ID", "example": 102378693 }, "password_tries": { "$ref": "#/components/schemas/PasswordTries" }, "transaction_limit": { "$ref": "#/components/schemas/TransactionLimit" }, "number_of_transactions": { "$ref": "#/components/schemas/NumberOfTransactions" }, "status": { "type": "string", "description": "Mode status - `ACTIVE` or `SUSPENDED`", "example": "SUSPENDED", "enum": [ "ACTIVE", "SUSPENDED" ] }, "card_owner": { "type": "string", "description": "Org ID from card's root", "example": "TN-f878e4a1-2879-48ba-be16-821e73ac98db" } } } }, "NumberOfTransactions": { "type": "integer", "description": "Maximum transactions allowed", "example": 40 }, "PasswordTries": { "type": "integer", "description": "Number of times the password was tried", "example": 1 }, "TransactionLimit": { "type": "string", "description": "Optional for virtual cards. Maximum amount allowed per transaction. Set up to the approved limit. If not set, account limit is used.", "example": "500.00" } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "description": "Account token - an access token encoded with a Pismo account ID. Tokens can expire quickly, which can result in an \"Unauthorized\" error.", "bearerFormat": "JWT" } }, "responses": { "401Unauthorized": { "description": "Access token is missing or invalid" }, "403Forbidden": { "description": "You don't have permission to access this resource" }, "409ConflictCardsPost": { "description": "You already have a card with this type and name active" }, "500InternalServer": { "description": "Internal server error" } } }, "paths": { "/wallet/v2/cards/{cardId}/modes": { "get": { "operationId": "get-v1-card-mode", "summary": "Get card modes", "description": "Get card mode objects. A card can have both a credit and debit *mode*, meaning it can be used as both a credit or debit card. Each mode is associated with a credit or debit program and account. \nFor more information, refer to the [mode documentation](https://developers.pismo.io/pismo-docs/docs/cards-overview-1#create-a-combination-card-with-card-modes) in the Cards overview guide.\n\nNOTE: This endpoint requires an account-specific access token - a token encoded with a Pismo account ID.\n", "tags": [ "Modes" ], "parameters": [ { "$ref": "#/components/parameters/cardId" } ], "responses": { "200": { "description": "Cards relationship information", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/GetCardModeResponse" } } } }, "401": { "$ref": "#/components/responses/401Unauthorized" }, "403": { "$ref": "#/components/responses/403Forbidden" }, "409": { "$ref": "#/components/responses/409ConflictCardsPost" }, "500": { "$ref": "#/components/responses/500InternalServer" } } } } } } ```